import "./Accordion.css";
import { ComponentProps, ElementType, ForwardedRef, ReactNode } from "react";
import { InteractionStatesProps } from "../../shared";
export interface InnerAccordionHeaderProps extends InteractionStatesProps {
    /**
     * An accordion header can vary in size.
     */
    size?: "sm" | "md";
    /**
     * Whether or not the tab is disabled.
     */
    disabled?: boolean;
    /**
     * An HTML element type or a custom React element type to render as.
     */
    as?: ElementType;
    /**
     * React children.
     */
    children: ReactNode;
    /**
     * @ignore
     */
    forwardedRef: ForwardedRef<any>;
}
export declare function InnerAccordionHeader(props: InnerAccordionHeaderProps): JSX.Element;
export declare const AccordionHeader: import("../../shared").OrbitComponent<HTMLElement, InnerAccordionHeaderProps>;
export declare type AccordionHeaderProps = ComponentProps<typeof AccordionHeader>;
