import "./Accordion.css";
import { AccordionHeader } from "./AccordionHeader";
import { AccordionPanel } from "./AccordionPanel";
import { Disclosure } from "../../disclosure";
import { mergeProps, useEventCallback } from "../../shared";
import { useAccordionContext } from "./AccordionContext";
import { jsx as _jsx } from "react/jsx-runtime";
import { jsxs as _jsxs } from "react/jsx-runtime";
export function AccordionItem({
  item: {
    id,
    key,
    header,
    panel
  },
  ...rest
}) {
  const {
    expandedKeys,
    onToggle
  } = useAccordionContext();
  const handleOpenChange = useEventCallback(event => {
    onToggle(event, key);
  });
  const {
    elementType: HeaderType = AccordionHeader,
    ref: headerRef,
    props: headerProps
  } = header;
  const {
    elementType: PanelType = AccordionPanel,
    ref: panelRef,
    props: panelProps
  } = panel;
  return /*#__PURE__*/_jsxs(Disclosure, { ...mergeProps(rest, {
      id,
      open: expandedKeys.includes(key),
      onOpenChange: handleOpenChange
    }),
    children: [/*#__PURE__*/_jsx(HeaderType, { ...headerProps,
      header: {
        key
      },
      ref: headerRef
    }), /*#__PURE__*/_jsx(PanelType, { ...panelProps,
      panel: {
        key
      },
      ref: panelRef
    })]
  });
}
AccordionItem.displayName = "AccordionItem";