import { ReactElement, ReactNode, Ref } from "react";
export interface AccordionBuilderItem {
    id: string;
    key: string;
    index: number;
    header: AccordionBuilderHeader;
    panel: AccordionBuilderPanel;
}
export interface AccordionBuilderHeader {
    elementType: ReactElement["type"];
    ref: Ref<any>;
    props: Record<string, any>;
}
export interface AccordionBuilderPanel {
    elementType: ReactElement["type"];
    ref: Ref<any>;
    props: Record<string, any>;
}
export declare class AccordionBuilder {
    private rootId;
    constructor(rootId: string);
    build(children: ReactNode): AccordionBuilderItem[];
}
export declare function useAccordionItems(children: ReactNode, rootId: string): AccordionBuilderItem[];
