import { ComponentProps } from "react";
export interface HiddenAutocompleteProps extends ComponentProps<"input"> {
    /**
     * Name of the element. Used by the server to identify the fields in form submits. View [MDN](https://developer.mozilla.org/en-US/docs/Web/HTML/Attributes).
     */
    name?: string;
    /**
     * A controlled selected key.
     */
    selectedKey?: string;
    /**
     * Whether or not a user input is required before form submission.
     */
    required?: boolean;
    /**
     * Whether or not the select should display as "valid" or "invalid".
     */
    validationState?: "valid" | "invalid";
}
export declare function HiddenAutocomplete({ name, value, required, validationState, ...rest }: HiddenAutocompleteProps): JSX.Element;
export declare namespace HiddenAutocomplete {
    var displayName: string;
}
