import { isNil } from "lodash";
import { mergeProps } from "../../shared";
import { jsx as _jsx } from "react/jsx-runtime";
export function HiddenAutocomplete({
  name,
  value,
  required,
  validationState,
  ...rest
}) {
  if (isNil(name)) {
    return null;
  }

  return /*#__PURE__*/_jsx("input", { ...mergeProps(rest, {
      type: "hidden",
      value: value !== null && value !== void 0 ? value : "",
      "aria-required": required ? true : undefined,
      "aria-invalid": validationState === "invalid" ? true : undefined
    })
  });
}
HiddenAutocomplete.displayName = "HiddenComboBox";