import "./Badge.css";
import { ComponentProps, ElementType, ForwardedRef, ReactNode } from "react";
export interface InnerBadgeProps {
    /**
     * The style to use.
     */
    variant?: "count" | "dot" | "icon";
    /**
     * The shape of the element being overlap by the badge.
     */
    overlap?: "circle" | "icon";
    /**
     * An HTML element type or a custom React element type to render as.
     */
    as?: ElementType;
    /**
     * React children.
     */
    children: ReactNode;
    /**
     * @ignore
     */
    forwardedRef: ForwardedRef<any>;
}
export declare function InnerBadge({ variant, overlap, as, children, forwardedRef, ...rest }: InnerBadgeProps): JSX.Element;
export declare const Badge: import("../../shared").OrbitComponent<HTMLElement, InnerBadgeProps>;
export declare type BadgeProps = ComponentProps<typeof Badge>;
