import "./Badge.css";
import { Box } from "../../box";
import { Children } from "react";
import { StyleProvider, cssModule, forwardRef, mergeProps } from "../../shared";
import { jsx as _jsx } from "react/jsx-runtime";
import { jsxs as _jsxs } from "react/jsx-runtime";
export function InnerBadge({
  variant = "count",
  overlap,
  as = "div",
  children,
  forwardedRef,
  ...rest
}) {
  // Not using slots because the overlapped content could also be an icon and thinks get complicated.
  let [badgeContent, overlappedElement] = Children.toArray(children);

  if (variant === "dot") {
    overlappedElement = badgeContent;
    badgeContent = undefined;
  }

  return /*#__PURE__*/_jsxs(Box, { ...mergeProps(rest, {
      className: cssModule("o-ui-badge", variant, overlap && `over-${overlap}`),
      as,
      ref: forwardedRef
    }),
    children: [/*#__PURE__*/_jsx(StyleProvider, {
      value: {
        text: {
          size: "sm"
        }
      },
      children: /*#__PURE__*/_jsx("div", {
        className: "o-ui-badge-anchor",
        children: badgeContent
      })
    }), overlappedElement]
  });
}
export const Badge = forwardRef((props, ref) => /*#__PURE__*/_jsx(InnerBadge, { ...props,
  forwardedRef: ref
}));
Badge.displayName = "Badge";