import { ComponentProps, ElementType, ForwardedRef, ReactNode } from "react";
export interface InnerBoxProps {
    /**
    * An HTML element type or a custom React element type to render as.
    */
    as?: ElementType;
    /**
     * [Slot](?path=/docs/getting-started-slots--page) to render into.
     */
    slot?: string;
    /**
    * @ignore
    */
    children?: ReactNode;
    /**
    * @ignore
    */
    forwardedRef: ForwardedRef<any>;
}
export declare function InnerBox(props: InnerBoxProps): JSX.Element;
export declare const Box: import("../../shared").OrbitComponent<HTMLElement, InnerBoxProps>;
export declare type BoxProps = ComponentProps<typeof Box>;
