import "./ButtonGroup.css";
import { ComponentProps, ElementType, ForwardedRef, ReactElement } from "react";
export interface InnerButtonGroupProps {
    /**
     * The orientation of the buttons.
     */
    orientation?: "horizontal" | "vertical";
    /**
     * The horizontal alignment of the buttons.
     */
    align?: "start" | "end" | "center";
    /**
     * The buttons size.
     */
    size?: "sm" | "md";
    /**
     * Whether or not the buttons are disabled.
     */
    disabled?: boolean;
    /**
     * Whether or not the group take up the width of its container.
     */
    fluid?: boolean;
    /**
     * An HTML element type or a custom React element type to render as.
     */
    as?: ElementType;
    /**
     * React children.
     */
    children: ReactElement<any, any>;
    /**
     * @ignore
     */
    forwardedRef: ForwardedRef<any>;
}
export declare function InnerButtonGroup(props: InnerButtonGroupProps): JSX.Element;
export declare const ButtonGroup: import("../../shared").OrbitComponent<HTMLElement, InnerButtonGroupProps>;
export declare type ButtonGroupProps = ComponentProps<typeof ButtonGroup>;
