import { Button } from "./Button";
import { forwardRef, mergeProps, resolveChildren, slot, useCheckableProps } from "../../shared";
import { useToggleButton } from "./useToggleButton";
import { jsx as _jsx } from "react/jsx-runtime";
export function InnerToggleButton(props) {
  const [checkableProps] = useCheckableProps(props);
  const {
    variant = "solid",
    shape = "pill",
    checked,
    defaultChecked,
    value,
    onChange,
    onCheck,
    active,
    as,
    children,
    forwardedRef,
    ...rest
  } = mergeProps(props, checkableProps);
  const {
    buttonProps
  } = useToggleButton({
    variant,
    shape,
    checked,
    defaultChecked,
    value,
    onChange,
    onCheck,
    active,
    forwardedRef
  });
  const content = resolveChildren(children);
  return /*#__PURE__*/_jsx(Button, { ...mergeProps(rest, {
      as
    }, buttonProps),
    children: content
  });
}
export const ToggleButton = slot("button", forwardRef((props, ref) => /*#__PURE__*/_jsx(InnerToggleButton, { ...props,
  forwardedRef: ref
})));
ToggleButton.displayName = "ToggleButton";