import { AriaAttributes, ForwardedRef } from "react";
import { InteractionStatesProps, MergedRef, Size } from "../../shared";
export interface UseButtonProps extends InteractionStatesProps {
    cssModule?: string;
    variant?: "solid" | "outline" | "ghost";
    color?: "primary" | "secondary" | "danger" | "inherit";
    shape?: "pill" | "rounded" | "circular";
    autoFocus?: boolean | number;
    fluid?: boolean;
    loading?: boolean;
    size?: Size;
    type?: "button" | "submit" | "reset";
    forwardedRef?: ForwardedRef<any>;
}
export interface UseButtonReturn {
    className: string;
    type: UseButtonProps["type"];
    "aria-live": AriaAttributes["aria-live"];
    "aria-busy": boolean;
    ref: MergedRef<any>;
}
export declare function useButton({ cssModule: module, variant, color, shape, autoFocus, fluid, loading, size, active, focus, hover, type, forwardedRef }: UseButtonProps): UseButtonReturn;
