import { ComponentProps, ForwardedRef, ReactNode } from "react";
export interface InnerItemProps {
    /**
     * A unique key to identify the item.
     */
    key?: string;
    /**
     * Whether or not the item is disabled.
     */
    disabled?: boolean;
    /**
     * React children.
     */
    children: ReactNode;
    /**
    * @ignore
    */
    forwardedRef: ForwardedRef<any>;
}
export declare function InnerItem(_props: InnerItemProps): JSX.Element;
export declare const Item: import("../../shared").OrbitComponent<HTMLElement, InnerItemProps>;
export declare type ItemProps = ComponentProps<typeof Item>;
