export function cancellablePromise(promise) {
  let isCancelled = false;
  const wrappedPromise = new Promise((resolve, reject) => {
    promise.then(value => isCancelled ? reject({
      isCancelled: true
    }) : resolve(value), error => isCancelled ? reject({
      isCancelled: true
    }) : reject(error));
  });
  return {
    promise: wrappedPromise,

    cancel() {
      isCancelled = true;
    }

  };
}
export function isPromiseStatus(error) {
  return (error === null || error === void 0 ? void 0 : error.isCancelled) !== undefined;
}