import "./Counter.css";
import { ComponentProps, ElementType, ForwardedRef, ReactNode } from "react";
export interface InnerCounterProps {
    /**
     * The style to use.
     */
    variant?: "basic" | "divider";
    /**
     * The color accent.
     */
    color?: "inherit";
    /**
     * Whether or not to add emphasis to the counter.
     */
    highlight?: boolean;
    /**
     * Whether or not to reverse counter elements order.
     */
    reverse?: boolean;
    /**
     * A counter can vary in size.
     */
    size?: "xs" | "sm" | "md" | "lg" | "xl" | "2xl" | "3xl" | "4xl" | "5xl" | "inherit";
    /**
     * Whether or not the counter is disabled.
     */
    disabled?: boolean;
    /**
     * Whether or not the counter push itself away from the leading sibling element.
     */
    pushed?: boolean;
    /**
     * Default slot override.
     */
    slot?: string;
    /**
     * An HTML element type or a custom React element type to render as.
     */
    as?: ElementType;
    /**
     * React children.
     */
    children: ReactNode;
    /**
     * @ignore
     */
    forwardedRef?: ForwardedRef<any>;
}
export declare function InnerCounter(props: InnerCounterProps): JSX.Element;
export declare const Counter: import("../../shared").OrbitComponent<HTMLElement, InnerCounterProps>;
export declare type CounterProps = ComponentProps<typeof Counter>;
