import "./Counter.css";
import { Box } from "../../box";
import { Text } from "../../text";
import { cssModule, forwardRef, mergeProps, normalizeSize, slot } from "../../shared";
import { jsx as _jsx } from "react/jsx-runtime";
export function InnerCounter(props) {
  const {
    variant = "basic",
    color,
    highlight,
    reverse,
    size,
    pushed,
    as = "span",
    children,
    forwardedRef,
    ...rest
  } = props;
  return /*#__PURE__*/_jsx(Box, { ...mergeProps(rest, {
      className: cssModule("o-ui-counter", variant, color === "inherit" ? "inherit-color" : color, highlight && "highlight", reverse && "reverse", pushed && "pushed", normalizeSize(size)),
      as,
      ref: forwardedRef
    }),
    children: /*#__PURE__*/_jsx(Text, {
      size: size,
      color: "inherit",
      children: children
    })
  });
}
export const Counter = slot("counter", forwardRef((props, ref) => /*#__PURE__*/_jsx(InnerCounter, { ...props,
  forwardedRef: ref
})));
Counter.displayName = "Counter";