import "./DateInput.css";
import { CalendarIcon } from "../../icons";
import { TextInput } from "../../text-input";
import { forwardRef, mergeProps } from "../../shared";
import { useDateInput } from "./useDateInput"; // used to generate BoxProps instead of any in the auto-generated documentation
// eslint-disable-next-line @typescript-eslint/no-empty-interface

import { jsx as _jsx } from "react/jsx-runtime";
export function InnerDateInput({
  value,
  defaultValue,
  minDate,
  maxDate,
  onChange,
  onDateChange,
  wrapperProps,
  as = "input",
  forwardedRef,
  ...rest
}) {
  const dateProps = useDateInput({
    value,
    defaultValue,
    minDate,
    maxDate,
    onChange,
    onDateChange,
    forwardedRef
  });
  return /*#__PURE__*/_jsx(TextInput, { ...mergeProps(rest, {
      icon: /*#__PURE__*/_jsx(CalendarIcon, {}),
      wrapperProps: mergeProps(wrapperProps !== null && wrapperProps !== void 0 ? wrapperProps : {}, {
        className: "o-ui-date-input"
      }),
      as
    }, dateProps)
  });
}
export const DateInput = forwardRef((props, ref) => /*#__PURE__*/_jsx(InnerDateInput, { ...props,
  forwardedRef: ref
}));
DateInput.displayName = "DateInput";