import "./Modal.css";
import { AriaLabelingProps, DomProps } from "../../shared";
import { ComponentProps, ElementType, ForwardedRef, ReactNode } from "react";
export interface InnerModalProps extends DomProps, AriaLabelingProps {
    /**
     * Whether or not the modal should close on outside interactions.
     */
    dismissable?: boolean;
    /**
     * z-index of the modal.
     */
    zIndex?: number;
    /**
     * Additional props to render on the wrapper element.
     */
    wrapperProps?: Record<string, any>;
    /**
     * An HTML element type or a custom React element type to render as.
     */
    as?: ElementType;
    /**
     * React children.
     */
    children: ReactNode;
    /**
     * @ignore
     */
    forwardedRef: ForwardedRef<any>;
}
export declare function InnerModal({ id, dismissable, zIndex, "aria-label": ariaLabel, "aria-labelledby": ariaLabelledBy, as, wrapperProps, children, forwardedRef, ...rest }: InnerModalProps): JSX.Element;
export declare const Modal: import("../../shared").OrbitComponent<HTMLElement, InnerModalProps>;
export declare type ModalProps = ComponentProps<typeof Modal>;
