import "./DisclosureArrow.css";
import { ComponentProps, ForwardedRef } from "react";
export interface InnerDisclosureArrowProps {
    /**
     * A controlled open value that determined whether or not the arrow is up or down.
     */
    open?: boolean;
    /**
     * An arrow can vary in size.
     */
    size?: "2xs" | "xs" | "sm" | "md" | "lg" | "xl" | "inherit";
    /**
    * @ignore
    */
    forwardedRef: ForwardedRef<any>;
}
export declare function InnerDisclosureArrow({ open, forwardedRef, ...rest }: InnerDisclosureArrowProps): JSX.Element;
export declare const DisclosureArrow: import("../../shared").OrbitComponent<HTMLElement, InnerDisclosureArrowProps>;
export declare type DisclosureArrowProps = ComponentProps<typeof DisclosureArrow>;
