import "./Divider.css";
import { Box } from "../../box";
import { Text } from "../../text";
import { cssModule, forwardRef, mergeProps } from "../../shared";
import { jsx as _jsx } from "react/jsx-runtime";
export function InnerDivider({
  orientation = "horizontal",
  as = "div",
  children,
  forwardedRef,
  ...rest
}) {
  const labelMarkup = children && /*#__PURE__*/_jsx(Text, {
    className: "o-ui-divider-label",
    children: children
  });

  return /*#__PURE__*/_jsx(Box, { ...mergeProps(rest, {
      className: cssModule("o-ui-divider", labelMarkup && "has-label"),
      as,
      role: "separator",
      "aria-orientation": orientation,
      ref: forwardedRef
    }),
    children: labelMarkup
  });
}
export const Divider = forwardRef((props, ref) => /*#__PURE__*/_jsx(InnerDivider, { ...props,
  forwardedRef: ref
}));
Divider.displayName = "Divider";