import "./Dot.css";
import { ComponentProps, ElementType, ForwardedRef } from "react";
export interface InnerDotProps {
    /**
     * The dot color, e.g "primary-200".
     */
    color?: string;
    /**
     * Default slot override.
     */
    slot?: string;
    /**
     * An HTML element type or a custom React element type to render as.
     */
    as?: ElementType;
    /**
     * @ignore
     */
    children?: any;
    /**
    * @ignore
    */
    forwardedRef: ForwardedRef<any>;
}
export declare function InnerDot(props: InnerDotProps): JSX.Element;
export declare const Dot: import("../../shared").OrbitComponent<HTMLElement, InnerDotProps>;
export declare type DotProps = ComponentProps<typeof Dot>;
