import { ComponentProps, ElementType, ForwardedRef, ReactNode } from "react";
export interface InnerErrorMessageProps {
    /**
     * A message can vary in size.
     */
    size?: "sm" | "md";
    /**
     * An HTML element type or a custom React element type to render as.
     */
    as?: ElementType;
    /**
     * @ignore
     */
    children?: ReactNode;
    /**
     * @ignore
     */
    forwardedRef: ForwardedRef<any>;
}
export declare function InnerErrorMessage(props: InnerErrorMessageProps): JSX.Element;
export declare const ErrorMessage: import("../../shared").OrbitComponent<HTMLElement, InnerErrorMessageProps>;
export declare type ErrorMessageProps = ComponentProps<typeof ErrorMessage>;
