import { ElementType, ReactNode } from "react";
export interface FieldContextType {
    inputId?: string;
    labelId?: string;
    messageId?: string;
    required?: boolean;
    disabled?: boolean;
    size?: "sm" | "md";
    fluid?: boolean;
    validationState?: "valid" | "invalid";
    hasLabel?: boolean;
    hasMessage?: boolean;
    labelClassName?: string;
    inputClassName?: string;
    messageClassName?: string;
    isGroup?: boolean;
}
export declare const FieldContext: import("react").Context<FieldContextType>;
export declare function useFieldContext(): [FieldContextType, boolean];
export interface UseFieldLabelProps {
    as?: ElementType;
}
export declare type UseFieldLabelPropsReturn = [
    {
        id?: string;
        required?: boolean;
        size?: "sm" | "md";
        htmlFor?: string;
        className?: string;
        as?: ElementType;
    },
    boolean
];
export declare function useFieldLabelProps({ as: asProp }: UseFieldLabelProps): UseFieldLabelPropsReturn;
export interface UseFieldInputPropsReturn {
    validationState?: "valid" | "invalid";
    id?: string;
    required?: boolean;
    disabled?: boolean;
    fluid?: boolean;
    size?: "sm" | "md";
    className?: string;
    "aria-labelledby"?: string;
    "aria-describedby"?: string;
}
export declare function useFieldInputProps(): [UseFieldInputPropsReturn, boolean];
export interface UseFieldMessagePropsReturn {
    id?: string;
    size?: "sm" | "md";
    fluid?: boolean;
    validationState?: "valid" | "invalid";
    className?: string;
    "aria-live"?: "polite";
}
export declare function useFieldMessageProps(): [UseFieldMessagePropsReturn, boolean];
interface ClearFieldContextProps {
    children?: ReactNode;
}
export declare function ClearFieldContext({ children }: ClearFieldContextProps): JSX.Element;
export {};
