import "./FieldMessage.css";
import { ComponentProps, ElementType, ReactNode } from "react";
interface InnerFieldMessageProps {
    /**
     * The style to use.
     */
    tone: "neutral" | "success" | "error";
    /**
     * A message can vary in size.
     */
    size?: "sm" | "md";
    /**
     * An HTML element type or a custom React element type to render as.
     */
    as?: ElementType;
    /**
     * Whether or not the field take up the width of its container.
     */
    fluid?: boolean;
    /**
     * React children.
     */
    children: ReactNode;
}
export declare function getValidationProps(validationState: string): {
    isHelp: boolean;
    isValid: boolean;
    isError: boolean;
};
export declare const FieldMessage: import("../../shared").OrbitComponent<HTMLElement, InnerFieldMessageProps>;
export declare type FieldMessageProps = ComponentProps<typeof FieldMessage>;
export {};
