import "./FieldMessage.css";
import { StyleProvider, createSizeAdapter, cssModule, forwardRef, mergeProps, normalizeSize } from "../../shared";
import { Text } from "../../text";
import { embeddedIconSize } from "../../icons";
import { jsx as _jsx } from "react/jsx-runtime";
export function getValidationProps(validationState) {
  const isValid = validationState === "valid";
  const isError = validationState === "invalid";
  return {
    isHelp: !isValid && !isError,
    isValid,
    isError
  };
}
const textSize = createSizeAdapter({
  "sm": "xs",
  "md": "sm"
});
export const FieldMessage = forwardRef(({
  tone,
  fluid,
  size,
  as = "div",
  children,
  ...rest
}, ref) => {
  return /*#__PURE__*/_jsx(Text, { ...mergeProps(rest, {
      size: textSize(size),
      className: cssModule("o-ui-field-message", tone, fluid && "fluid", normalizeSize(size)),
      as,
      ref
    }),
    children: /*#__PURE__*/_jsx(StyleProvider, {
      value: {
        text: {
          size: "inherit",
          color: "inherit"
        },
        p: {
          size: "inherit",
          color: "inherit"
        },
        link: {
          size: "inherit",
          color: "inherit",
          underline: "dotted"
        },
        list: {
          size: "inherit",
          color: "inherit"
        },
        icon: {
          size: embeddedIconSize(size)
        }
      },
      children: children
    })
  });
});
FieldMessage.displayName = "FieldMessage";