import "./Field.css";
import { ComponentProps, ElementType, ForwardedRef, ReactNode } from "react";
import { DomProps } from "../../shared";
interface InnerGroupFieldProps extends DomProps {
    /**
     * Whether the field should display as "valid" or "invalid".
     */
    validationState?: "valid" | "invalid";
    /**
     * Whether or not the field show a required state.
     */
    required?: boolean;
    /**
     * Whether or not the field take up the width of its container.
     */
    fluid?: boolean;
    /**
     * A field can vary in size.
     */
    size?: "sm" | "md";
    /**
     * An HTML element type or a custom React element type to render as.
     */
    as?: ElementType;
    /**
     * React children.
     */
    children: ReactNode;
    /**
     * @ignore
     */
    forwardedRef: ForwardedRef<any>;
}
export declare function InnerGroupField(props: InnerGroupFieldProps): JSX.Element;
export declare const GroupField: import("../../shared").OrbitComponent<HTMLElement, InnerGroupFieldProps>;
export declare type GroupFieldProps = ComponentProps<typeof GroupField>;
export {};
