import { ComponentProps, ElementType, ForwardedRef, ReactNode } from "react";
interface InnerHelpMessageProps {
    /**
     * A message can vary in size.
     */
    size?: "sm" | "md";
    /**
     * An HTML element type or a custom React element type to render as.
     */
    as?: ElementType;
    /**
     * React children.
     */
    children: ReactNode;
    /**
     * @ignore
     */
    forwardedRef: ForwardedRef<any>;
}
export declare function InnerHelpMessage(props: InnerHelpMessageProps): JSX.Element;
export declare const HelpMessage: import("../../shared").OrbitComponent<HTMLElement, InnerHelpMessageProps>;
export declare type HelpMessageProps = ComponentProps<typeof HelpMessage>;
export {};
