import { FieldMessage, getValidationProps } from "./FieldMessage";
import { forwardRef, mergeProps } from "../../shared";
import { useFieldMessageProps } from "./FieldContext";
import { jsx as _jsx } from "react/jsx-runtime";
export function InnerHelpMessage(props) {
  const [{
    validationState,
    ...messageProps
  }, isInField] = useFieldMessageProps();
  const {
    isHelp
  } = getValidationProps(validationState);
  const {
    forwardedRef,
    children,
    ...rest
  } = mergeProps(props, messageProps);

  if (isInField && !isHelp) {
    return null;
  }

  return /*#__PURE__*/_jsx(FieldMessage, { ...rest,
    tone: "neutral",
    ref: forwardedRef,
    children: children
  });
}
export const HelpMessage = forwardRef((props, ref) => /*#__PURE__*/_jsx(InnerHelpMessage, { ...props,
  forwardedRef: ref
}));
HelpMessage.displayName = "HelpMessage";