import "./Label.css";
import { Text } from "../../text";
import { createSizeAdapter, cssModule, forwardRef, mergeProps, normalizeSize } from "../../shared";
import { useFieldLabelProps } from "./FieldContext";
import { jsx as _jsx } from "react/jsx-runtime";
import { jsxs as _jsxs } from "react/jsx-runtime";
const adaptSize = createSizeAdapter({
  "sm": "xs",
  "md": "sm"
});

function RequiredIndicator() {
  return /*#__PURE__*/_jsx("span", {
    className: "o-ui-field-label-required",
    "aria-hidden": "true",
    children: "*"
  });
}

export function InnerLabel(props) {
  const [fieldProps] = useFieldLabelProps(props);
  const {
    required,
    size,
    as = "label",
    children,
    forwardedRef,
    ...rest
  } = mergeProps(props, fieldProps);
  return /*#__PURE__*/_jsxs(Text, { ...mergeProps(rest, {
      size: adaptSize(size),
      className: cssModule("o-ui-field-label", normalizeSize(size)),
      as,
      ref: forwardedRef
    }),
    children: [children, required && /*#__PURE__*/_jsx(RequiredIndicator, {})]
  });
}
export const Label = forwardRef((props, ref) => /*#__PURE__*/_jsx(InnerLabel, { ...props,
  forwardedRef: ref
}));
Label.displayName = "Label";