import { ComponentProps, ElementType, ForwardedRef, ReactNode } from "react";
export interface InnerValidMessageProps {
    /**
     * A message can vary in size.
     */
    size?: "sm" | "md";
    /**
     * An HTML element type or a custom React element type to render as.
     */
    as?: ElementType;
    /**
     * React children.
     */
    children: ReactNode;
    /**
     * @ignore
     */
    forwardedRef: ForwardedRef<any>;
}
export declare function InnerValidMessage(props: InnerValidMessageProps): JSX.Element;
export declare const ValidMessage: import("../../shared").OrbitComponent<HTMLElement, InnerValidMessageProps>;
export declare type ValidMessageProps = ComponentProps<typeof ValidMessage>;
