import { FieldMessage, getValidationProps } from "./FieldMessage";
import { forwardRef, mergeProps } from "../../shared";
import { useFieldMessageProps } from "./FieldContext";
import { jsx as _jsx } from "react/jsx-runtime";
export function InnerValidMessage(props) {
  const [{
    validationState,
    ...messageProps
  }, isInField] = useFieldMessageProps();
  const {
    isValid
  } = getValidationProps(validationState);
  const {
    forwardedRef,
    children,
    ...rest
  } = mergeProps(props, messageProps);

  if (isInField && !isValid) {
    return null;
  }

  return /*#__PURE__*/_jsx(FieldMessage, { ...rest,
    tone: "success",
    ref: forwardedRef,
    children: children
  });
}
export const ValidMessage = forwardRef((props, ref) => /*#__PURE__*/_jsx(InnerValidMessage, { ...props,
  forwardedRef: ref
}));
ValidMessage.displayName = "ValidMessage";