import { ForwardedRef } from "react";
import { MergedRef } from "../../shared";
import type { FieldContextType } from "./FieldContext";
export interface UseFieldProps {
    id?: string;
    validationState?: "valid" | "invalid";
    required?: boolean;
    fluid?: boolean;
    size?: "sm" | "md";
    disabled?: boolean;
    className?: string;
    forwardedRef?: ForwardedRef<any>;
}
export interface UseFieldReturn {
    fieldId: string;
    fieldProps: {
        className: string;
        role: string;
        ref: MergedRef<any>;
        "aria-labelledby": string;
        "aria-describedby": string;
    };
    fieldContext: Partial<FieldContextType>;
}
export declare function useField({ id, validationState, required, fluid, size, disabled, className, forwardedRef }: UseFieldProps): UseFieldReturn;
