import "./Form.css";
import { ComponentProps, ElementType, ForwardedRef, ReactNode } from "react";
export interface InnerFormProps {
    /**
     * Whether or not the form take up the width of its container.
     */
    fluid?: boolean;
    /**
    * @ignore
     */
    disabled?: boolean;
    /**
     * An HTML element type or a custom React element type to render as.
     */
    as?: ElementType;
    /**
     * React children.
     */
    children: ReactNode;
    /**
    * @ignore
    */
    forwardedRef: ForwardedRef<any>;
}
export declare function InnerForm(props: InnerFormProps): JSX.Element;
export declare const Form: import("../../shared").OrbitComponent<HTMLElement, InnerFormProps>;
export declare type FormProps = ComponentProps<typeof Form>;
