import "./Form.css";
import { Box } from "../../box";
import { FormContext } from "./FormContext";
import { cssModule, forwardRef, mergeProps } from "../../shared";
import { jsx as _jsx } from "react/jsx-runtime";
export function InnerForm(props) {
  const {
    fluid,
    disabled,
    as = "form",
    children,
    forwardedRef,
    ...rest
  } = props;
  return /*#__PURE__*/_jsx(Box, { ...mergeProps(rest, {
      className: cssModule("o-ui-form", fluid && "fluid"),
      as,
      ref: forwardedRef
    }),
    children: /*#__PURE__*/_jsx(FormContext.Provider, {
      value: {
        fluid,
        disabled
      },
      children: children
    })
  });
}
export const Form = forwardRef((props, ref) => /*#__PURE__*/_jsx(InnerForm, { ...props,
  forwardedRef: ref
}));
Form.displayName = "Form";