import { ComponentProps, ElementType, ForwardedRef, ReactNode } from "react";
export interface InnerRowProps {
    /**
     * Whether or not the fields take up the width of its container.
     */
    fluid?: boolean;
    /**
     * An HTML element type or a custom React element type to render as.
     */
    as?: ElementType;
    /**
     * React children.
     */
    children: ReactNode;
    /**
    * @ignore
    */
    forwardedRef: ForwardedRef<any>;
}
export declare function InnerRow(props: InnerRowProps): JSX.Element;
export declare const Row: import("../../shared").OrbitComponent<HTMLElement, InnerRowProps>;
export declare type RowProps = ComponentProps<typeof Row>;
