import { Children } from "react";
import { Inline } from "../../layout";
import { augmentElement, forwardRef, mergeProps, omitProps } from "../../shared";
import { useFormContext } from "./FormContext";
import { jsx as _jsx } from "react/jsx-runtime";
export function InnerRow(props) {
  const [formProps] = useFormContext();
  const {
    fluid,
    children,
    forwardedRef,
    ...rest
  } = mergeProps(props, omitProps(formProps, ["disabled"]));
  return /*#__PURE__*/_jsx(Inline, { ...mergeProps(rest, {
      fluid,
      gap: 4,
      align: "start",
      ref: forwardedRef
    }),
    children: Children.map(children, x => {
      return augmentElement(x, {
        fluid
      });
    })
  });
}
export const Row = forwardRef((props, ref) => /*#__PURE__*/_jsx(InnerRow, { ...props,
  forwardedRef: ref
}));
Row.displayName = "Row";