import "./Heading.css";
import { ComponentProps, ElementType, ForwardedRef, ReactNode } from "react";
interface InnerHeadingProps {
    /**
     * A heading can vary in size.
     */
    size?: "2xs" | "xs" | "sm" | "md" | "lg" | "xl";
    /**
     * An HTML element type or a custom React element type to render as.
     */
    as?: ElementType;
    /**
     * React children.
     */
    children: ReactNode;
    /**
    * @ignore
    */
    forwardedRef: ForwardedRef<any>;
}
export declare function InnerHeading(props: InnerHeadingProps): JSX.Element;
export declare const Heading: import("../../shared").OrbitComponent<HTMLElement, InnerHeadingProps>;
export declare type HeadingProps = ComponentProps<typeof Heading>;
export declare const H1: import("../../shared").OrbitComponent<ElementType<any>, Omit<InnerHeadingProps, "size" | "as">>;
export declare const H2: import("../../shared").OrbitComponent<ElementType<any>, Omit<InnerHeadingProps, "size" | "as">>;
export declare const H3: import("../../shared").OrbitComponent<ElementType<any>, Omit<InnerHeadingProps, "size" | "as">>;
export declare const H4: import("../../shared").OrbitComponent<ElementType<any>, Omit<InnerHeadingProps, "size" | "as">>;
export declare const H5: import("../../shared").OrbitComponent<ElementType<any>, Omit<InnerHeadingProps, "size" | "as">>;
export declare const H6: import("../../shared").OrbitComponent<ElementType<any>, Omit<InnerHeadingProps, "size" | "as">>;
export {};
