import "./Heading.css";
import { cssModule, forwardRef, mergeProps, normalizeSize, slot, useStyleProps } from "../../shared";
import { jsx as _jsx } from "react/jsx-runtime";
export function InnerHeading(props) {
  const [styleProps] = useStyleProps("heading");
  const {
    size,
    as: As = "div",
    children,
    forwardedRef,
    ...rest
  } = mergeProps(props, styleProps);
  return /*#__PURE__*/_jsx(As, { ...mergeProps(rest, {
      className: cssModule("o-ui-heading", normalizeSize(size)),
      ref: forwardedRef
    }),
    children: children
  });
}
export const Heading = slot("heading", forwardRef((props, ref) => /*#__PURE__*/_jsx(InnerHeading, { ...props,
  forwardedRef: ref
})));
Heading.displayName = "Heading"; // Aliases

function createAlias(as, size) {
  return slot("heading", forwardRef((props, ref) => /*#__PURE__*/_jsx(InnerHeading, { ...props,
    size: size,
    as: as,
    forwardedRef: ref
  })));
}

export const H1 = createAlias("h1", "xl");
export const H2 = createAlias("h2", "lg");
export const H3 = createAlias("h3", "md");
export const H4 = createAlias("h4", "sm");
export const H5 = createAlias("h5", "xs");
export const H6 = createAlias("h6", "2xs");