import "./Icon.css";
import { ComponentProps, ElementType, ForwardedRef } from "react";
export interface InnerIconProps {
    /**
     * An icon as a React component.
     */
    type: ElementType;
    /**
     * An icon can vary in size.
     */
    size?: "2xs" | "xs" | "sm" | "md" | "lg" | "xl" | "inherit";
    /**
     * Default slot override.
     */
    slot?: string;
    /**
    * @ignore
    */
    forwardedRef: ForwardedRef<any>;
}
export declare const InnerIcon: (props: InnerIconProps) => JSX.Element;
export declare const Icon: import("../../shared").OrbitComponent<"svg", InnerIconProps>;
export declare type IconProps = ComponentProps<typeof Icon>;
export declare function createIcon(type: ElementType): import("../../shared").OrbitComponent<"svg", Omit<InnerIconProps, "type">>;
