import "./Icon.css";
import { Box } from "../../box";
import { cssModule, forwardRef, mergeProps, normalizeSize, slot, useStyleProps } from "../../shared";
import { isNil } from "lodash";
import { jsx as _jsx } from "react/jsx-runtime";
export const InnerIcon = props => {
  const [styleProps] = useStyleProps("icon");
  const {
    type,
    size,
    disabled,
    "aria-label": ariaLabel,
    forwardedRef,
    ...rest
  } = mergeProps(props, styleProps);
  return /*#__PURE__*/_jsx(Box, { ...mergeProps(rest, {
      className: cssModule("o-ui-icon", disabled && "disabled", size && size === "inherit" ? "inherit-size" : normalizeSize(size)),
      focusable: false,
      as: type,
      "aria-hidden": isNil(ariaLabel),
      "aria-label": ariaLabel,
      ref: forwardedRef
    })
  });
};
export const Icon = slot("icon", forwardRef((props, ref) => /*#__PURE__*/_jsx(InnerIcon, { ...props,
  forwardedRef: ref
})));
Icon.displayName = "Icon";
////////
export function createIcon(type) {
  return slot("icon", forwardRef((props, ref) => /*#__PURE__*/_jsx(InnerIcon, { ...props,
    type: type,
    forwardedRef: ref
  })));
}