import { ElementType, ForwardedRef, ReactNode } from "react";
interface InnerIconListProps {
    /**
     * Whether or not the IconList is disabled.
     */
    disabled?: boolean;
    /**
     * Size of the icons.
     */
    size?: string;
    /**
     * An HTML element type or a custom React element type to render as.
     */
    as?: ElementType;
    /**
     * React children.
     */
    children: ReactNode;
    /**
    * @ignore
    */
    forwardedRef: ForwardedRef<any>;
}
export declare function InnerIconList({ size, disabled, children, as, forwardedRef, ...rest }: InnerIconListProps): JSX.Element;
export declare const IconList: import("../../shared").OrbitComponent<HTMLElement, InnerIconListProps>;
export {};
