import { Children, cloneElement } from "react";
import { Inline } from "../../layout";
import { forwardRef, slot } from "../../shared";
import { jsx as _jsx } from "react/jsx-runtime";
export function InnerIconList({
  size,
  disabled,
  children,
  as = "span",
  forwardedRef,
  ...rest
}) {
  return /*#__PURE__*/_jsx(Inline, { ...rest,
    gap: 1,
    as: as,
    "aria-hidden": "true",
    ref: forwardedRef,
    children: Children.map(children, x => {
      return /*#__PURE__*/cloneElement(x, {
        size,
        disabled
      });
    })
  });
}
export const IconList = slot("icon", forwardRef((props, ref) => /*#__PURE__*/_jsx(InnerIconList, { ...props,
  forwardedRef: ref
})));