import { ComponentProps, ElementType, ForwardedRef } from "react";
export interface InnerMultiVariantIconProps {
    /**
     * An icon can vary in size.
     */
    size?: "2xs" | "xs" | "sm" | "md" | "lg" | "xl" | "inherit";
    /**
     * Default slot override.
     */
    slot?: string;
    /**
     * An icon as a React component for the 24px variant.
     */
    type24: ElementType;
    /**
     * An icon as a React component for the 32px variant.
     */
    type32: ElementType;
    /**
    * @ignore
    */
    forwardedRef: ForwardedRef<any>;
}
export declare const InnerMultiVariantIcon: ({ type24: Component24, type32: Component32, size, forwardedRef, ...rest }: InnerMultiVariantIconProps) => JSX.Element;
export declare const MultiVariantIcon: import("../../shared").OrbitComponent<"svg", InnerMultiVariantIconProps>;
export declare type MultiVariantIconProps = ComponentProps<typeof MultiVariantIcon>;
export declare function createMultiVariantIcon(type24: ElementType, type32: ElementType): import("../../shared").OrbitComponent<"svg", Omit<InnerMultiVariantIconProps, "type24" | "type32">>;
