import { Icon } from "./Icon";
import { forwardRef, slot } from "../../shared";
import { jsx as _jsx } from "react/jsx-runtime";
export const InnerMultiVariantIcon = ({
  type24: Component24,
  type32: Component32,
  size,
  forwardedRef,
  ...rest
}) => {
  let type = Component24;

  if (size === "lg" || size === "xl") {
    type = Component32;
  }

  return /*#__PURE__*/_jsx(Icon, { ...rest,
    type: type,
    size: size,
    ref: forwardedRef
  });
};
export const MultiVariantIcon = slot("icon", forwardRef((props, ref) => /*#__PURE__*/_jsx(InnerMultiVariantIcon, { ...props,
  forwardedRef: ref
})));
Icon.displayName = "MultiVariantIcon";
////////
export function createMultiVariantIcon(type24, type32) {
  return slot("icon", forwardRef((props, ref) => /*#__PURE__*/_jsx(InnerMultiVariantIcon, { ...props,
    type24: type24,
    type32: type32,
    forwardedRef: ref
  })));
}