import "./Image.css";
import { cssModule, forwardRef, mergeProps } from "../../shared";
import { jsx as _jsx } from "react/jsx-runtime";
export function InnerImage({
  shape,
  size,
  width,
  height,
  fit,
  position,
  as: As = "img",
  forwardedRef,
  ...rest
}) {
  return /*#__PURE__*/_jsx(As, { ...mergeProps(rest, {
      width: width !== null && width !== void 0 ? width : size,
      height: height !== null && height !== void 0 ? height : size,
      className: cssModule("o-ui-image", shape),
      style: {
        objectFit: fit,
        objectPosition: position
      },
      ref: forwardedRef
    })
  });
}
export const Image = forwardRef((props, ref) => /*#__PURE__*/_jsx(InnerImage, { ...props,
  forwardedRef: ref
}));
Image.displayName = "Image";