import { Ref } from "react";
export interface UseGroupInputProps {
    role?: "group" | "radiogroup";
    cssModule?: string;
    required?: boolean;
    validationState?: "valid" | "invalid";
    orientation?: "horizontal" | "vertical";
    gap?: 0 | 1 | 2 | 3 | 4 | 5 | 6 | 7 | 8 | 9 | 10 | 11 | 12 | 13 | string;
    wrap?: boolean;
    size?: "sm" | "md";
    reverse?: boolean;
    disabled?: boolean;
    groupRef: Ref<any>;
    isInField?: boolean;
}
export interface UseGroupInputReturn {
    groupProps: {
        inline?: boolean;
        orientation?: "horizontal" | "vertical";
        align?: "end" | "start";
        gap?: 0 | 1 | 2 | 3 | 4 | 5 | 6 | 7 | 8 | 9 | 10 | 11 | 12 | 13 | string;
        wrap?: boolean;
        className?: string;
        role?: "group" | "radiogroup";
        "aria-required"?: boolean;
        "aria-invalid"?: boolean;
        "aria-orientation"?: "horizontal" | "vertical";
        "aria-disabled"?: boolean;
        ref?: Ref<any>;
    };
    itemProps: {
        size?: "sm" | "md";
        reverse?: boolean;
        validationState?: "valid" | "invalid";
        disabled?: boolean;
    };
}
export declare function useGroupInput({ role, cssModule: module, required, validationState, orientation, gap, wrap, size, reverse, disabled, isInField, groupRef }: UseGroupInputProps): UseGroupInputReturn;
