import { ForwardedRef, SyntheticEvent } from "react";
export interface UseInputProps {
    cssModule?: string;
    id?: string;
    value?: string | number;
    placeholder?: string;
    required?: boolean;
    validationState?: "valid" | "invalid";
    onChange?: (event: SyntheticEvent) => void;
    type?: "text" | "password" | "search" | "url" | "tel" | "email" | "number";
    autoFocus?: boolean | number;
    disabled?: boolean;
    readOnly?: boolean;
    fluid?: boolean;
    loading?: boolean;
    active?: boolean;
    focus?: boolean;
    hover?: boolean;
    forwardedRef: ForwardedRef<any>;
}
export declare function useInput({ cssModule: module, id, value, placeholder, required, validationState, onChange, type, autoFocus, disabled, readOnly, fluid, loading, active, focus, hover, forwardedRef }: UseInputProps): {
    wrapperProps: {
        className: string;
        role: string;
    };
    inputProps: {
        id: string;
        value: string | number;
        placeholder: string;
        onChange: (event: SyntheticEvent<Element, Event>) => void;
        type: "number" | "search" | "text" | "tel" | "url" | "email" | "password";
        disabled: boolean;
        readOnly: boolean;
        "aria-required": boolean;
        "aria-invalid": boolean;
        ref: import("../../shared").MergedRef<any>;
    };
    inputRef: import("../../shared").MergedRef<any>;
};
