import { Flex } from "./Flex";
import { forwardRef, mergeProps } from "../../shared";
import { isNil } from "lodash";
import { useFlexAlignment } from "./adapters";
import { jsx as _jsx } from "react/jsx-runtime";
export function InnerInline({
  align,
  verticalAlign,
  children,
  gap = 5,
  wrap,
  forwardedRef,
  ...rest
}) {
  const alignProps = useFlexAlignment("horizontal", align, verticalAlign);
  return /*#__PURE__*/_jsx(Flex, { ...mergeProps(rest, {
      gap: gap !== 0 ? gap : undefined,
      wrap: !isNil(wrap) ? "wrap" : undefined,
      ref: forwardedRef
    }, alignProps),
    children: children
  });
}
export const Inline = forwardRef((props, ref) => /*#__PURE__*/_jsx(InnerInline, { ...props,
  forwardedRef: ref
}));
Inline.displayName = "Inline";