import { Flex } from "./Flex";
import { forwardRef, mergeProps } from "../../shared";
import { isNil } from "lodash";
import { useFlexAlignment } from "./adapters";
import { jsx as _jsx } from "react/jsx-runtime";
export function InnerStack({
  align,
  verticalAlign,
  gap = 5,
  wrap,
  children,
  forwardedRef,
  ...rest
}) {
  const alignProps = useFlexAlignment("vertical", align, verticalAlign);
  return /*#__PURE__*/_jsx(Flex, { ...mergeProps(rest, {
      direction: "column",
      gap: gap !== 0 ? gap : undefined,
      wrap: !isNil(wrap) ? "wrap" : undefined,
      ref: forwardedRef
    }, alignProps),
    children: children
  });
}
export const Stack = forwardRef((props, ref) => /*#__PURE__*/_jsx(InnerStack, { ...props,
  forwardedRef: ref
}));
Stack.displayName = "Stack";