import "./Link.css";
import { augmentElement, forwardRef, mergeProps, useStyleProps } from "../../shared";
import { Children } from "react";
import { EmbeddedIcon } from "../../icons";
import { useLink } from "./useLink";
import { jsx as _jsx } from "react/jsx-runtime";
export function InnerIconLink(props) {
  const [styleProps] = useStyleProps("link");
  const {
    target,
    rel,
    title,
    color,
    condensed,
    external,
    autoFocus,
    size,
    active,
    focus,
    hover,
    visited,
    "aria-label": ariaLabel,
    as: As = "a",
    children,
    forwardedRef,
    ...rest
  } = mergeProps(props, styleProps);
  const linkProps = useLink({
    cssModule: "o-ui-icon-link",
    color,
    external,
    autoFocus,
    active,
    focus,
    hover,
    visited,
    target,
    rel,
    forwardedRef
  });
  const icon = Children.only(children);
  const iconMarkup = augmentElement(condensed ? icon : /*#__PURE__*/_jsx(EmbeddedIcon, {
    children: icon
  }), {
    size
  });
  return /*#__PURE__*/_jsx(As, { ...mergeProps(rest, {
      title: title !== null && title !== void 0 ? title : ariaLabel,
      "aria-label": ariaLabel
    }, linkProps),
    children: iconMarkup
  });
}
export const IconLink = forwardRef((props, ref) => /*#__PURE__*/_jsx(InnerIconLink, { ...props,
  forwardedRef: ref
}));
IconLink.displayName = "IconLink";