import "./Link.css";
import { forwardRef, mergeProps, useStyleProps } from "../../shared";
import { useLink } from "./useLink";
import { jsx as _jsx } from "react/jsx-runtime";
export function InnerLink(props) {
  const [styleProps] = useStyleProps("link");
  const {
    target,
    rel,
    external,
    shape = "rounded",
    autoFocus,
    active,
    focus,
    hover,
    as: As = "a",
    children,
    forwardedRef,
    ...rest
  } = mergeProps(props, styleProps);
  const linkProps = useLink({
    external,
    shape,
    autoFocus,
    active,
    focus,
    hover,
    target,
    rel,
    forwardedRef
  });
  return /*#__PURE__*/_jsx(As, { ...mergeProps(rest, linkProps),
    children: children
  });
}
export const Link = forwardRef((props, ref) => /*#__PURE__*/_jsx(InnerLink, { ...props,
  forwardedRef: ref
}));
Link.displayName = "Link";