import { cssModule, mergeClasses, useAutoFocus, useMergedRefs } from "../../shared";
import { isNumber } from "lodash";
export function useLink({
  cssModule: module,
  color,
  underline,
  shape,
  external,
  autoFocus,
  active,
  focus,
  hover,
  visited,
  target,
  rel,
  forwardedRef
}) {
  const linkRef = useMergedRefs(forwardedRef);
  useAutoFocus(linkRef, {
    isDisabled: !autoFocus,
    delay: isNumber(autoFocus) ? autoFocus : undefined
  });
  return {
    target: (target !== null && target !== void 0 ? target : external) ? "_blank" : undefined,
    rel: (rel !== null && rel !== void 0 ? rel : external) ? "noopener noreferrer" : undefined,
    className: mergeClasses(module, cssModule("o-ui-link", color === "inherit" ? "inherit-color" : color, underline, shape, active && "active", focus && "focus", hover && "hover", visited && "visited")),
    ref: linkRef
  };
}