import "./List.css";
import { ComponentProps, ElementType, ForwardedRef, ReactNode } from "react";
export interface InnerListProps {
    /**
     * A list can vary in size.
     */
    size?: "inherit";
    /**
     * A list can inherit it's parent color.
     */
    color?: "inherit";
    /**
     * An HTML element type or a custom React element type to render as.
     */
    as?: ElementType;
    /**
     * React children.
     */
    children: ReactNode;
    /**
     * @ignore
     */
    forwardedRef: ForwardedRef<any>;
}
export declare function InnerOrderedList({ as, forwardedRef, ...rest }: InnerListProps): JSX.Element;
export declare const OrderedList: import("../../shared").OrbitComponent<HTMLElement, InnerListProps>;
export declare type OrderedListProps = ComponentProps<typeof OrderedList>;
export declare const UnorderedList: import("../../shared").OrbitComponent<HTMLElement, InnerListProps>;
export declare type UnorderedListProps = ComponentProps<typeof UnorderedList>;
