import "./List.css";
import { Children } from "react";
import { augmentElement, cssModule, forwardRef, mergeProps, useStyleProps } from "../../shared";
import { jsx as _jsx } from "react/jsx-runtime";
const List = forwardRef((props, ref) => {
  const [styleProps] = useStyleProps("list");
  const {
    size,
    color,
    as: As = "ul",
    children,
    ...rest
  } = mergeProps(props, styleProps);
  return /*#__PURE__*/_jsx(As, { ...mergeProps(rest, {
      className: cssModule("o-ui-list", size && "inherit-size", color ? `color-${color}` : ""),
      ref
    }),
    children: Children.map(children, x => {
      return x && augmentElement(x, {
        size
      });
    })
  });
});
List.displayName = "List"; ////////

export function InnerOrderedList({
  as = "ol",
  forwardedRef,
  ...rest
}) {
  return /*#__PURE__*/_jsx(List, { ...rest,
    as: as,
    ref: forwardedRef
  });
}
export const OrderedList = forwardRef((props, ref) => /*#__PURE__*/_jsx(InnerOrderedList, { ...props,
  forwardedRef: ref
}));
OrderedList.displayName = "OrderedList"; ////////

function InnerUnorderedList({
  as = "ul",
  forwardedRef,
  ...rest
}) {
  return /*#__PURE__*/_jsx(List, { ...rest,
    as: as,
    ref: forwardedRef
  });
}

export const UnorderedList = forwardRef((props, ref) => /*#__PURE__*/_jsx(InnerUnorderedList, { ...props,
  forwardedRef: ref
}));
UnorderedList.displayName = "UnorderedList";