import { ComponentProps, ElementType, ForwardedRef, ReactNode } from "react";
export interface InnerListItemProps {
    /**
     * A list item can vary in size.
     */
    size?: "inherit";
    /**
     * An HTML element type or a custom React element type to render as.
     */
    as?: ElementType;
    /**
     * React children.
     */
    children: ReactNode;
    /**
     * @ignore
     */
    forwardedRef: ForwardedRef<any>;
}
export declare function InnerListItem({ size, as, children, forwardedRef, ...rest }: InnerListItemProps): JSX.Element;
export declare const ListItem: import("../../shared").OrbitComponent<HTMLElement, InnerListItemProps>;
export declare type ListItemProps = ComponentProps<typeof ListItem>;
