import "./Listbox.css";
import { CollectionItem as CollectionItemAliasForDocumentation } from "../../collection";
import { ComponentProps, ElementType, ForwardedRef, ReactNode } from "react";
import { DomProps, InteractionStatesProps } from "../../shared";
interface CollectionItem extends CollectionItemAliasForDocumentation {
}
export interface InnerListboxOptionProps extends DomProps, InteractionStatesProps {
    /**
    * Matching collection item.
    */
    item: CollectionItem;
    /**
     * Whether or not the option is disabled.
     */
    disabled?: boolean;
    /**
     * An HTML element type or a custom React element type to render as.
     */
    as?: ElementType;
    /**
     * React children.
     */
    children: ReactNode;
    /**
     * @ignore
     */
    forwardedRef: ForwardedRef<any>;
}
export declare function InnerListboxOption({ item: { key, tooltip }, id, disabled, active, focus, hover, as, children, forwardedRef, ...rest }: InnerListboxOptionProps): JSX.Element;
export declare const ListboxOption: import("../../shared").OrbitComponent<HTMLElement, InnerListboxOptionProps>;
export declare type ListboxOptionProps = ComponentProps<typeof ListboxOption>;
export {};
