import { ComponentProps, ElementType, ForwardedRef, ReactNode } from "react";
import { DomProps } from "../../shared";
export interface InnerListboxSectionProps extends DomProps {
    /**
     * The section name.
     */
    title: string;
    /**
     * An HTML element type or a custom React element type to render as.
     */
    as?: ElementType;
    /**
     * React children.
     */
    children: ReactNode;
    /**
     * @ignore
     */
    forwardedRef: ForwardedRef<any>;
}
export declare function InnerListboxSection({ id, title, as, children, forwardedRef, ...rest }: InnerListboxSectionProps): JSX.Element;
export declare const ListboxSection: import("../../shared").OrbitComponent<HTMLElement, InnerListboxSectionProps>;
export declare type ListboxSectionProps = ComponentProps<typeof ListboxSection>;
