import "./Lozenge.css";
import { Box } from "../../box/src/Box";
import { useMemo } from "react";
import { Text } from "../../text";
import { createSizeAdapter, cssModule, forwardRef, mergeProps, normalizeSize, slot, useMergedRefs, useSlots } from "../../shared";
import { embeddedIconSize } from "../../icons";
import { jsxs as _jsxs } from "react/jsx-runtime";
import { jsx as _jsx } from "react/jsx-runtime";
const textSize = createSizeAdapter({
  "sm": "xs",
  "md": "sm"
});
export function InnerLozenge({
  color,
  size,
  as = "span",
  children,
  forwardedRef,
  ...rest
}) {
  const ref = useMergedRefs(forwardedRef);
  const {
    icon,
    text
  } = useSlots(children, useMemo(() => ({
    _: {
      defaultWrapper: Text
    },
    icon: {
      size: embeddedIconSize(size),
      className: "o-ui-lozenge-icon"
    },
    text: {
      size: textSize(size),
      className: "o-ui-lozenge-text"
    }
  }), [size]));
  return /*#__PURE__*/_jsxs(Box, { ...mergeProps(rest, {
      className: cssModule("o-ui-lozenge", color, icon && "has-icon", normalizeSize(size)),
      as,
      ref
    }),
    children: [icon, text]
  });
}
export const Lozenge = slot("lozenge", forwardRef((props, ref) => /*#__PURE__*/_jsx(InnerLozenge, { ...props,
  forwardedRef: ref
})));
Lozenge.displayName = "Lozenge";