import { DomProps, InteractionStatesProps } from "../../shared";
import { ElementType, ForwardedRef, ReactNode } from "react";
import type { CollectionItem } from "../../collection";
export interface InnerMenuItemProps extends DomProps, InteractionStatesProps {
    /**
     * Matching collection item.
     */
    item: CollectionItem;
    /**
     * Whether or not the item is disabled.
     */
    disabled?: boolean;
    /**
     * An HTML element type or a custom React element type to render as.
     */
    as?: ElementType;
    /**
     * React children.
     */
    children: ReactNode;
    /**
     * @ignore
     */
    forwardedRef: ForwardedRef<any>;
}
export declare function InnerMenuItem({ item: { key, tooltip }, id, disabled, active, focus, hover, as, children, forwardedRef, ...rest }: InnerMenuItemProps): JSX.Element;
export declare const MenuItem: import("../../shared").OrbitComponent<HTMLElement, InnerMenuItemProps>;
