import { ComponentProps, ElementType, ForwardedRef, ReactNode } from "react";
import { DomProps } from "../../shared";
export interface InnerMenuSectionProps extends DomProps {
    /**
     * The section name.
     */
    title?: string;
    /**
     * An HTML element type or a custom React element type to render as.
     */
    as?: ElementType;
    /**
     * React children.
     */
    children: ReactNode;
    /**
     * @ignore
     */
    forwardedRef: ForwardedRef<any>;
}
export declare function InnerMenuSection({ id, title, as, children, forwardedRef, ...rest }: InnerMenuSectionProps): JSX.Element;
export declare const MenuSection: import("../../shared").OrbitComponent<HTMLElement, InnerMenuSectionProps>;
export declare type MenuSectionProps = ComponentProps<typeof MenuSection>;
