import "./Overlay.css";
import { ComponentProps, ElementType, ForwardedRef, ReactNode } from "react";
export interface InnerOverlayProps {
    /**
     * Whether or not to show the overlay element.
     */
    show: boolean;
    /**
     * Hacky offset utility to apply a transparent CSS border to the overlay.
     * It's usefull to prevent the overlay from closing when the mouse goes from the trigger to the overlay.
     */
    borderOffset?: string | number;
    /**
     * A DOM element in which the overlay element will be appended via a React portal.
     */
    containerElement?: HTMLElement;
    /**
     * z-index of the overlay.
     */
    zIndex?: number;
    /**
     * An HTML element type or a custom React element type to render as.
     */
    as?: ElementType;
    /**
     * React children.
     */
    children: ReactNode;
    /**
     * @ignore
     */
    forwardedRef: ForwardedRef<any>;
}
export declare function InnerOverlay({ show, borderOffset, containerElement, zIndex, as, children, forwardedRef, ...rest }: InnerOverlayProps): JSX.Element;
export declare const Overlay: import("../../shared").OrbitComponent<HTMLElement, InnerOverlayProps>;
export declare type OverlayProps = ComponentProps<typeof Overlay>;
