import { FocusEvent, KeyboardEvent, MouseEvent, RefObject, SyntheticEvent } from "react";
export interface UseOverlayLightDismissOptions {
    trigger?: "hover" | "click";
    onHide?: (event: SyntheticEvent<HTMLElement, Event>) => void;
    hideOnEscape?: boolean;
    hideOnLeave?: boolean;
    hideOnOutsideClick?: boolean | ((event: MouseEvent<HTMLElement, Event>) => void);
}
export declare function useOverlayLightDismiss(overlayRef: RefObject<HTMLElement>, { trigger, onHide, hideOnEscape, hideOnLeave, hideOnOutsideClick }: UseOverlayLightDismissOptions): {
    onMouseLeave: (event: MouseEvent<HTMLElement, Event>) => void;
    onKeyDown: (event: KeyboardEvent<HTMLElement>) => void;
    onFocus?: undefined;
    onBlur?: undefined;
} | {
    onMouseLeave: (event: MouseEvent<HTMLElement, Event>) => void;
    onKeyDown: (event: KeyboardEvent<HTMLElement>) => void;
    onFocus: (event: any) => void;
    onBlur: (event: FocusEvent<Element>) => void;
};
