import { KeyboardEvent, SyntheticEvent } from "react";
export interface UseOverlayTriggerProps {
    trigger?: "click" | "hover";
    isOpen: boolean;
    onShow?: (event: SyntheticEvent) => void;
    onHide?: (event: SyntheticEvent) => void;
}
export declare function useOverlayTrigger({ trigger, isOpen, onShow, onHide }: UseOverlayTriggerProps): {
    onClick: (event: SyntheticEvent) => void;
    onKeyDown: (event: KeyboardEvent) => void;
    onKeyUp: (event: any) => void;
    onMouseEnter?: undefined;
    onMouseLeave?: undefined;
    onFocus?: undefined;
    onBlur?: undefined;
} | {
    onMouseEnter: (event: any) => void;
    onMouseLeave: (event: any) => void;
    onFocus: (event: any) => void;
    onBlur: (event: any) => void;
    onKeyDown: (event: KeyboardEvent) => void;
    onClick?: undefined;
    onKeyUp?: undefined;
} | {
    onClick?: undefined;
    onKeyDown?: undefined;
    onKeyUp?: undefined;
    onMouseEnter?: undefined;
    onMouseLeave?: undefined;
    onFocus?: undefined;
    onBlur?: undefined;
};
