import { AutoFocusChildOptions } from "../../shared";
import { FocusEvent, SyntheticEvent } from "react";
import { OverlayPosition } from "./useOverlayPosition";
export interface UsePopupProps {
    id?: string;
    open?: boolean;
    defaultOpen?: boolean;
    onOpenChange?: (event: SyntheticEvent, newValue: boolean) => void;
    hideOnEscape?: boolean;
    hideOnLeave?: boolean;
    hideOnOutsideClick?: boolean;
    restoreFocus?: boolean;
    autoFocus?: boolean | number;
    autoFocusOptions?: AutoFocusChildOptions;
    trigger?: "click" | "hover";
    hasArrow?: boolean;
    position?: OverlayPosition;
    offset?: number[];
    allowFlip?: boolean;
    allowPreventOverflow?: boolean;
    boundaryElement?: HTMLElement;
    keyProp?: string;
}
export declare function usePopup(type: "menu" | "listbox" | "dialog", { id, open, defaultOpen, onOpenChange, hideOnEscape, hideOnLeave, hideOnOutsideClick, restoreFocus, autoFocus, autoFocusOptions, trigger, hasArrow, position, offset, allowFlip, allowPreventOverflow, boundaryElement, keyProp }: UsePopupProps): {
    isOpen: boolean;
    setIsOpen: (event: SyntheticEvent, newValue: boolean) => void;
    triggerElement: HTMLElement;
    overlayElement: HTMLElement;
    arrowElement: HTMLElement;
    focusScope: import("../../shared").DomScope;
    focusManager: import("../../shared").FocusManager;
    triggerProps: {
        onClick: (event: SyntheticEvent<Element, Event>) => void;
        onKeyDown: (event: import("react").KeyboardEvent<Element>) => void;
        onKeyUp: (event: any) => void;
        onMouseEnter?: undefined;
        onMouseLeave?: undefined;
        onFocus?: undefined;
        onBlur?: undefined;
    } & {
        onMouseEnter: (event: any) => void;
        onMouseLeave: (event: any) => void;
        onFocus: (event: any) => void;
        onBlur: (event: any) => void;
        onKeyDown: (event: import("react").KeyboardEvent<Element>) => void;
        onClick?: undefined;
        onKeyUp?: undefined;
    } & {
        onClick?: undefined;
        onKeyDown?: undefined;
        onKeyUp?: undefined;
        onMouseEnter?: undefined;
        onMouseLeave?: undefined;
        onFocus?: undefined;
        onBlur?: undefined;
    } & {
        tabIndex: number;
        "aria-haspopup": "dialog" | "menu" | "listbox";
        "aria-expanded": boolean;
        "aria-controls": string;
        ref: import("react").Dispatch<import("react").SetStateAction<HTMLElement>>;
    };
    overlayProps: {
        [key: string]: string;
    } & {
        onKeyDown?: undefined;
    } & {
        onKeyDown: (event: any) => void;
    } & {
        onMouseLeave: (event: import("react").MouseEvent<HTMLElement, Event>) => void;
        onKeyDown: (event: import("react").KeyboardEvent<HTMLElement>) => void;
        onFocus?: undefined;
        onBlur?: undefined;
    } & {
        onMouseLeave: (event: import("react").MouseEvent<HTMLElement, Event>) => void;
        onKeyDown: (event: import("react").KeyboardEvent<HTMLElement>) => void;
        onFocus: (event: any) => void;
        onBlur: (event: FocusEvent<Element>) => void;
    } & {
        onKeyDown: (event: import("react").KeyboardEvent<HTMLElement>) => void;
    } & {
        id: string;
        show: boolean;
        style: import("react").CSSProperties;
        tabIndex: number;
        ref: import("../../shared").MergedRef<import("react").SetStateAction<HTMLElement>>;
    };
    arrowProps: {
        className?: undefined;
        style?: undefined;
        ref?: undefined;
    } | {
        className: string;
        style: import("react").CSSProperties;
        ref: import("react").Dispatch<import("react").SetStateAction<HTMLElement>>;
    };
};
