import "./Paragraph.css";
import { ComponentProps, ElementType, ForwardedRef, ReactNode } from "react";
export interface InnerParagraphProps {
    /**
     * A paragraph can vary in size.
     */
    size?: "xs" | "sm" | "md" | "lg" | "xl" | "2xl" | "inherit";
    /**
     * A paragraph can inherit it's parent color.
     */
    color?: "inherit";
    /**
     * An HTML element type or a custom React element type to render as.
     */
    as?: ElementType;
    /**
     * React children
     */
    children: ReactNode;
    /**
    * @ignore
    */
    forwardedRef: ForwardedRef<any>;
}
export declare function InnerParagraph(props: InnerParagraphProps): JSX.Element;
export declare const Paragraph: import("../../shared").OrbitComponent<HTMLElement, InnerParagraphProps>;
export declare type ParagraphProps = ComponentProps<typeof Paragraph>;
export declare const P: import("../../shared").OrbitComponent<HTMLElement, InnerParagraphProps>;
