import "./Paragraph.css";
import { StyleProvider, cssModule, forwardRef, mergeProps, normalizeSize, useStyleProps } from "../../shared";
import { Text } from "../../text";
import { jsx as _jsx } from "react/jsx-runtime";
export function InnerParagraph(props) {
  const [styleProps] = useStyleProps("p");
  const {
    size,
    as = "p",
    children,
    forwardedRef,
    ...rest
  } = mergeProps(props, styleProps);
  return /*#__PURE__*/_jsx(Text, { ...mergeProps(rest, {
      size,
      className: cssModule("o-ui-p", size && size === "inherit" ? "inherit-size" : normalizeSize(size)),
      as,
      ref: forwardedRef
    }),
    children: /*#__PURE__*/_jsx(StyleProvider, {
      value: {
        link: {
          size: "inherit",
          underline: "dotted"
        }
      },
      children: children
    })
  });
}
export const Paragraph = forwardRef((props, ref) => /*#__PURE__*/_jsx(InnerParagraph, { ...props,
  forwardedRef: ref
}));
Paragraph.displayName = "Paragraph"; // Alias

export const P = Paragraph;