import { ComponentProps, ElementType, ForwardedRef, ReactNode } from "react";
export interface InnerContentProps {
    /**
     * An HTML element type or a custom React element type to render as.
     */
    as?: ElementType;
    /**
     * Default slot override.
     */
    slot?: string;
    /**
     * React children.
     */
    children: ReactNode;
    /**
    * @ignore
    */
    forwardedRef: ForwardedRef<any>;
}
export declare function InnerContent({ as, children, forwardedRef, ...rest }: InnerContentProps): JSX.Element;
export declare const Content: import("../../shared").OrbitComponent<HTMLElement, InnerContentProps>;
export declare type ContentProps = ComponentProps<typeof Content>;
