import { ComponentProps, ElementType, ForwardedRef, ReactNode } from "react";
export interface InnerFooterProps {
    /**
     * An HTML element type or a custom React element type to render as.
     */
    as?: ElementType;
    /**
     * Default slot override.
     */
    slot?: string;
    /**
     * React children.
     */
    children: ReactNode;
    /**
    * @ignore
    */
    forwardedRef: ForwardedRef<any>;
}
export declare function InnerFooter({ as, children, forwardedRef, ...rest }: InnerFooterProps): JSX.Element;
export declare const Footer: import("../../shared").OrbitComponent<HTMLElement, InnerFooterProps>;
export declare type FooterProps = ComponentProps<typeof Footer>;
