import { ComponentProps, ElementType, ForwardedRef, ReactNode } from "react";
export interface InnerHeaderProps {
    /**
     * An HTML element type or a custom React element type to render as.
     */
    as?: ElementType;
    /**
     * Default slot override.
     */
    slot?: string;
    /**
     * React children.
     */
    children: ReactNode;
    /**
    * @ignore
    */
    forwardedRef: ForwardedRef<any>;
}
export declare function InnerHeader({ as, children, forwardedRef, ...rest }: InnerHeaderProps): JSX.Element;
export declare const Header: import("../../shared").OrbitComponent<HTMLElement, InnerHeaderProps>;
export declare type HeaderProps = ComponentProps<typeof Header>;
