import { isNil } from "lodash";
import { mergeProps } from "../../shared";
import { jsx as _jsx } from "react/jsx-runtime";
export function HiddenSelect({
  name,
  selectedKey,
  required,
  validationState,
  ...rest
}) {
  if (isNil(name)) {
    return null;
  }

  return /*#__PURE__*/_jsx("input", { ...mergeProps(rest, {
      type: "hidden",
      value: selectedKey !== null && selectedKey !== void 0 ? selectedKey : "",
      "aria-required": required ? true : undefined,
      "aria-invalid": validationState === "invalid" ? true : undefined
    })
  });
}
HiddenSelect.displayName = "HiddenSelect";