import { ChangeEvent } from "react";
declare type CheckableValue = boolean | string | CheckableValue[];
interface CheckableContextType {
    checkedValue?: CheckableValue;
    onCheck?: (event: ChangeEvent, newValue: CheckableValue) => void;
}
export declare const CheckableContext: import("react").Context<CheckableContextType>;
export declare function useCheckableContext(): [CheckableContextType, boolean];
declare type UseCheckablePropsReturn = Omit<CheckableContextType, "checkedValue"> & {
    checked?: boolean;
};
export declare function useCheckableProps({ value }: {
    value?: boolean | string;
}): [UseCheckablePropsReturn, boolean];
export {};
