import { ComponentProps, ElementRef, ElementType, ForwardRefExoticComponent, ForwardRefRenderFunction, HTMLProps, RefAttributes, WeakValidationMap } from "react";
declare type AsRef<T> = T extends ElementType ? ElementRef<T> : T;
declare type PropsWithoutChildren<P> = "children" extends keyof P ? Pick<P, Exclude<keyof P, "children">> : P;
declare type PropsOf<T> = PropsWithoutChildren<T extends ElementType ? HTMLProps<AsRef<T>> & ComponentProps<T> & RefAttributes<AsRef<T>> : T extends HTMLElement ? HTMLProps<T> & RefAttributes<T> : never>;
export declare type RightJoinProps<SourceProps extends Record<string, any> = Record<string, never>, OverrideProps extends Record<string, any> = Record<string, never>> = OmitCommonProps<SourceProps, keyof OverrideProps> & OverrideProps;
export declare type OmitCommonProps<Target, OmitAdditionalProps extends keyof any = never> = Omit<Target, "forwardedRef" | OmitAdditionalProps>;
declare type MergeWithAs<T, P> = RightJoinProps<PropsOf<T>, OmitCommonProps<P>>;
export interface OrbitComponent<T, P> extends ForwardRefExoticComponent<MergeWithAs<T, P>> {
    defaultProps?: Partial<any>;
    propTypes?: WeakValidationMap<any>;
}
export declare function forwardRef<P extends Record<string, any>, T = HTMLElement>(render: ForwardRefRenderFunction<AsRef<T>, P>): OrbitComponent<T, P>;
export {};
