declare type DisposableFunction = Function;
export declare function disposables(): {
    requestAnimationFrame(callback: FrameRequestCallback): void;
    nextFrame(callback: FrameRequestCallback): void;
    setTimeout(callback: (...args: any[]) => void, ms?: number, ...args: any[]): void;
    add(callback: DisposableFunction): void;
    dispose(): void;
};
export declare function useDisposables(): {
    requestAnimationFrame(callback: FrameRequestCallback): void;
    nextFrame(callback: FrameRequestCallback): void;
    setTimeout(callback: (...args: any[]) => void, ms?: number, ...args: any[]): void;
    add(callback: Function): void;
    dispose(): void;
};
export {};
