import { RefObject } from "react";
export declare type ChangeEventHandler = (elements: HTMLElement[], scope: HTMLElement[]) => void;
export declare class DomScope {
    private scopeRef;
    private handlersRef;
    constructor(scopeRef: RefObject<HTMLElement[]>, handlersRef: RefObject<ChangeEventHandler[]>);
    get elements(): HTMLElement[];
    registerChangeHandler(handler: ChangeEventHandler): void;
    removeChangeHandler(handler: ChangeEventHandler): void;
    isInScope(element: HTMLElement): boolean;
}
export declare function useFocusScope(): [DomScope, (rootElement: HTMLElement) => void];
