import "./Tabs.css";
import { ComponentProps, ElementType, ForwardedRef, ReactNode } from "react";
import { InteractionStatesProps } from "../../shared";
import { TabType } from "./useTabsItems";
export declare const TabKeyProp = "data-o-ui-key";
export interface InnerTabProps extends InteractionStatesProps {
    /**
     * Matching tab item.
     */
    tab: TabType;
    /**
     * Whether or not the tab is selected.
     */
    selected?: boolean;
    /**
     * Whether or not the tab is disabled.
     */
    disabled?: boolean;
    /**
     * An HTML element type or a custom React element type to render as.
     */
    as?: ElementType;
    /**
     * React children.
     */
    children: ReactNode;
    /**
     * @ignore
     */
    forwardedRef: ForwardedRef<any>;
}
export declare function InnerTab({ tab: { key, tabId, panelId }, disabled, active, focus, hover, as, children, forwardedRef, ...rest }: InnerTabProps): JSX.Element;
export declare const Tab: import("../../shared").OrbitComponent<HTMLElement, InnerTabProps>;
export declare type TabProps = ComponentProps<typeof Tab>;
