import "./Tabs.css";
import { ComponentProps, ElementType, ForwardedRef, ReactNode } from "react";
import { PanelType } from "./useTabsItems";
export interface InnerTabPanelProps {
    /**
     * Matching panel item.
     */
    panel: PanelType;
    /**
     * An HTML element type or a custom React element type to render as.
     */
    as?: ElementType;
    /**
     * React children.
     */
    children: ReactNode;
    /**
     * @ignore
     */
    forwardedRef: ForwardedRef<any>;
}
export declare function InnerTabPanel({ panel: { key, tabId, panelId }, as, children, forwardedRef, ...rest }: InnerTabPanelProps): JSX.Element;
export declare const TabPanel: import("../../shared").OrbitComponent<HTMLElement, InnerTabPanelProps>;
export declare type TabPanelProps = ComponentProps<typeof TabPanel>;
