import "./Tabs.css";
import { Text } from "../../text";
import { forwardRef, mergeProps } from "../../shared";
import { useTabsContext } from "./TabsContext";
import { jsx as _jsx } from "react/jsx-runtime";
export function InnerTabPanel({
  panel: {
    key,
    tabId,
    panelId
  },
  as = "div",
  children,
  forwardedRef,
  ...rest
}) {
  const {
    selectedKey
  } = useTabsContext();
  return /*#__PURE__*/_jsx(Text, { ...mergeProps(rest, {
      id: panelId,
      className: "o-ui-tab-panel",
      role: "tabpanel",
      hidden: key !== selectedKey,
      "aria-labelledby": tabId,
      as,
      ref: forwardedRef
    }),
    children: children
  });
}
export const TabPanel = forwardRef((props, ref) => /*#__PURE__*/_jsx(InnerTabPanel, { ...props,
  forwardedRef: ref
}));
TabPanel.displayName = "TabPanel";