import { ReactElement, ReactNode, Ref } from "react";
export interface PanelType {
    key: string;
    index: number;
    disabled?: boolean;
    elementType?: ReactElement["type"];
    ref: Ref<any>;
    panelId: string;
    tabId: string;
    props: Record<string, any>;
}
export interface TabType {
    key: string;
    index: number;
    disabled?: boolean;
    elementType?: ReactElement["type"];
    ref: Ref<any>;
    tabId: string;
    panelId: string;
    props: Record<string, any>;
}
export declare class TabsBuilder {
    private rootId;
    constructor(rootId: string);
    build(children: ReactNode): [TabType[], PanelType[]];
    private makeId;
}
export declare function useTabsItems(children: ReactNode, rootId: string): [TabType[], PanelType[]];
