import "./Text.css";
import { ComponentProps, ElementType, ForwardedRef, ReactNode } from "react";
export interface InnerTextProps {
    /**
     * A text can vary in size.
     */
    size?: "xs" | "sm" | "md" | "lg" | "xl" | "2xl" | "3xl" | "4xl" | "5xl" | "inherit";
    /**
     * A text can inherit it's parent color.
     */
    color?: "inherit";
    /**
     * An HTML element type or a custom React element type to render as.
     */
    as?: ElementType;
    /**
     * [Slot](?path=/docs/getting-started-slots--page) to render into.
     */
    slot?: string;
    /**
     * @ignore
     */
    children?: ReactNode;
    /**
    * @ignore
    */
    forwardedRef: ForwardedRef<any>;
}
export declare function InnerText(props: InnerTextProps): JSX.Element;
export declare const Text: import("../../shared").OrbitComponent<HTMLElement, InnerTextProps>;
export declare type TextProps = ComponentProps<typeof Text>;
