import "./Text.css";
import { Box } from "../../box";
import { cssModule, forwardRef, mergeProps, normalizeSize, slot, useStyleProps } from "../../shared";
import { jsx as _jsx } from "react/jsx-runtime";
export function InnerText(props) {
  const [styleProps] = useStyleProps("text");
  const {
    size,
    color,
    as = "span",
    children,
    forwardedRef,
    ...rest
  } = mergeProps(props, styleProps);
  return /*#__PURE__*/_jsx(Box, { ...mergeProps(rest, {
      className: cssModule("o-ui-text", size && size === "inherit" ? "inherit-size" : normalizeSize(size), color && "inherit-color"),
      as,
      ref: forwardedRef
    }),
    children: children
  });
}
export const Text = slot("text", forwardRef((props, ref) => /*#__PURE__*/_jsx(InnerText, { ...props,
  forwardedRef: ref
})));
Text.displayName = "Text";