import { ElementType, ReactNode } from "react";
export declare type Theme = "apricot" | "desktop";
export declare type ColorScheme = "light" | "dark";
export declare type ColorSchemeOrSystem = ColorScheme | "system";
export interface ThemeProviderProps {
    /**
     * The theme to use.
     */
    theme?: Theme;
    /**
     * The color scheme to use.
     */
    colorScheme: ColorSchemeOrSystem;
    /**
     * Default color scheme to use when a user prefered color scheme (system) is not available.
     */
    defaultColorScheme?: ColorScheme;
    /**
     * An HTML element type or a custom React element type to render as.
     */
    as?: ElementType;
    /**
    * @ignore
    */
    children?: ReactNode;
}
export declare function ThemeProvider({ theme, colorScheme, defaultColorScheme, children, as: TriggerType, ...rest }: ThemeProviderProps): JSX.Element;
