import { useCallback, useState } from "react";
import { ThemeContext } from "./ThemeContext";
import { mergeClasses, mergeProps } from "../../shared";
import { useColorScheme } from "./useColorScheme";
import { jsx as _jsx } from "react/jsx-runtime";
export function ThemeProvider({
  theme = "apricot",
  colorScheme,
  defaultColorScheme,
  children,
  as: TriggerType = "div",
  ...rest
}) {
  const [remoteColorScheme, setRemoteColorScheme] = useState();
  colorScheme = useColorScheme(remoteColorScheme !== null && remoteColorScheme !== void 0 ? remoteColorScheme : colorScheme, defaultColorScheme);
  const setColorScheme = useCallback(newColorScheme => {
    setRemoteColorScheme(newColorScheme);
  }, [setRemoteColorScheme]);
  return /*#__PURE__*/_jsx(ThemeContext.Provider, {
    value: {
      theme,
      colorScheme,
      setColorScheme
    },
    children: /*#__PURE__*/_jsx(TriggerType, { ...mergeProps(rest, {
        className: mergeClasses("o-ui", `o-ui-${theme}`, `o-ui-${colorScheme}`)
      }),
      children: children
    })
  });
}