import { ElementType, ReactNode } from "react";
export interface InnerTransitionProps {
    /**
     * A controlled show value that determined whether or not the component is displayed.
     */
    show: boolean;
    /**
     * 	Whether the transition should run on initial mount.
     */
    animateFirstRender?: boolean;
    /**
     * CSS classes to add to the transitioning element during the enter phase.
     */
    enter?: string;
    /**
     * CSS classes to add to the transitioning element during the leave phase.
     */
    leave?: string;
    /**
     * An HTML element type or a custom React element type to render as.
     */
    as?: ElementType;
    /**
     * @ignore
     */
    children: ReactNode;
}
export declare const Transition: import("../../shared").OrbitComponent<HTMLElement, InnerTransitionProps>;
