import { Box } from "../../box";
import { useEffect, useState } from "react";
import { forwardRef, mergeProps, useEventCallback, useIsInitialRender } from "../../shared";
import { jsx as _jsx } from "react/jsx-runtime";
export const Transition = forwardRef(({
  show,
  animateFirstRender = false,
  enter,
  leave,
  as = "div",
  children,
  ...rest
}, ref) => {
  const [isVisible, setIsVisible] = useState(show);
  const isInitialRender = useIsInitialRender();
  useEffect(() => {
    if (show) {
      setIsVisible(true);
    }
  }, [show]);
  const handleAnimationEnd = useEventCallback(() => {
    setIsVisible(show);
  });

  if (!isVisible) {
    return null;
  }

  return /*#__PURE__*/_jsx(Box, { ...mergeProps(rest, {
      onAnimationEnd: handleAnimationEnd,
      className: show ? isInitialRender ? animateFirstRender && enter : enter : leave,
      as,
      ref
    }),
    children: children
  });
});
Transition.displayName = "Transition";