import "./VisuallyHidden.css";
import { Box } from "../../box";
import { forwardRef, mergeProps } from "../../shared";
import { jsx as _jsx } from "react/jsx-runtime";
export function InnerVisuallyHidden({
  as = "div",
  children,
  forwardedRef,
  ...rest
}) {
  return /*#__PURE__*/_jsx(Box, { ...mergeProps(rest, {
      className: "o-ui-visually-hidden",
      as,
      ref: forwardedRef
    }),
    children: children
  });
}
export const VisuallyHidden = forwardRef((props, ref) => /*#__PURE__*/_jsx(InnerVisuallyHidden, { ...props,
  forwardedRef: ref
}));
VisuallyHidden.displayName = "VisuallyHidden";